## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-editables
Version:        0.5
Release:        %autorelease
Summary:        Editable installations

# SPDX
License:        MIT
URL:            https://github.com/pfmoore/editables
# PyPI source distributions lack tests; use the GitHub archive
Source:         %{url}/archive/%{version}/editables-%{version}.tar.gz

BuildSystem:            pyproject
BuildOption(install):   -l editables

BuildArch:      noarch

# Most of the dependencies, and all of the pytest options, in tox.ini are for
# coverage analysis and for installation with pip/virtualenv. Rather than
# working around all of these, it is simpler not to use tox for dependency
# generation or testing.
BuildRequires:  python3dist(pytest)

%global common_description %{expand:
A Python library for creating “editable wheels”

This library supports the building of wheels which, when installed, will expose
packages in a local directory on sys.path in “editable mode”. In other words,
changes to the package source will be reflected in the package visible to
Python, without needing a reinstall.}

%description %{common_description}


%package -n python3-editables
Summary:        %{summary}

# Dropped in F41; this upgrade path may be removed after F43
Obsoletes:      python-editables-doc < 0.5-5

%description -n python3-editables %{common_description}


%check -a
%pytest


%files -n python3-editables -f %{pyproject_files}
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Mon May 05 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5-10
- F41+: Use the provisional pyproject declarative buildsystem

* Wed Mar 05 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5-9
- F43+: Adapt to flit-core 3.11 handling license files per PEP 639

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.5-6
- Rebuilt for Python 3.13

* Fri Mar 29 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5-5
- F41+: For simplicity, drop the -doc subpackage and PDF documentation

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jul 25 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5-1
- Update to 0.5 (close RHBZ#2225249)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 08 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4-3
- When we don’t build PDF docs, don’t build a -doc subpacakge at all

* Fri Jul 07 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 0.4-2
- Disable docs by default in RHEL builds

* Thu Jul 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4-1
- Update to 0.4 (close RHBZ#2220948)
- Upstream switched from setuptools to flit_core: pyproject-rpm-macros no
  longer handles LICENSE.txt

* Thu Jul 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3-8
- Add a -doc subpackage with PDF documentations

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.3-7
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Oct 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3-4
- Confirm License is SPDX MIT

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.3-2
- Rebuilt for Python 3.11

* Mon Apr 11 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3-1
- Update to 0.3 (close RHBZ#2073823)

* Thu Feb 17 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.0-1
- Initial package (close RHBZ#2050876)
## END: Generated by rpmautospec
